=== debian/changelog ===
bro-aux (0.35-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Sun, 28 Jun 2015 15:59:48 +0200

bro-aux (0.34-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Sun, 10 May 2015 18:35:43 +0200

bro-aux (0.33-1) unstable; urgency=low

  * Initial release (Closes: #771142)

 -- Raúl Benencia <rul@kalgan.cc>  Fri, 12 Dec 2014 09:11:35 -0300
