=== debian/control ===
Source: bro-aux
Section: net
Priority: optional
Maintainer: Raúl Benencia <rul@kalgan.cc>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends: cmake, debhelper (>= 9), flex, libpcap0.8-dev | libpcap-dev, libssl-dev,
Standards-Version: 3.9.6
Homepage: https://www.bro.org/sphinx/components/bro-aux/README.html
Vcs-Git: git://anonscm.debian.org/collab-maint/bro-aux.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/bro-aux.git/

Package: bro-aux
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: bro
Suggests: gawk
Description: small auxiliary tools for Bro
 This package provides handy auxiliary programs related to the use of the
 Bro Network Security Monitor.
 .
 The “adtrace” utility is used to compute the network address that compose
 the internal and extern nets that bro is monitoring. The “bro-cut” utility
 reads ASCII Bro logs on standard input and outputs them with only the
 specified columns (if no column names are specified, then all columns are
 output). The "nfcollector" and "ftwire2bro" utilities are for dealing with
 Bro’s custom file format for storing NetFlow records.
