## bro-aux 0.38

=== debian/changelog ===
bro-aux (0.38-1) unstable; urgency=medium

  * New upstream version
  * Update watch file
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Wed, 23 Nov 2016 10:12:26 +0100
