=== debian/changelog ===
bro-aux (0.39-1) unstable; urgency=medium

  * New upstream version 0.39

 -- Hilko Bengen <bengen@debian.org>  Sun, 16 Jul 2017 21:27:32 +0200
