=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Raúl Benencia <rul@kalgan.cc>
 Uploaders: Hilko Bengen <bengen@debian.org>
 Build-Depends: cmake, debhelper (>= 9), flex, libpcap0.8-dev | libpcap-dev, libssl-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://www.bro.org/sphinx/components/bro-aux/README.html
 Vcs-Git: git://anonscm.debian.org/collab-maint/bro-aux.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/bro-aux.git/
