## bro-aux 0.42

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 include_directories(BEFORE
                     ${BIND_INCLUDE_DIR}
                     ${PCAP_INCLUDE_DIR}
-                    ${OpenSSL_INCLUDE_DIR}
+                    ${OPENSSL_INCLUDE_DIR}
                     )
 
 ########################################################################
@@ -66,7 +66,6 @@
 
 add_subdirectory(adtrace)
 add_subdirectory(bro-cut)
-add_subdirectory(nftools)
 add_subdirectory(rst)
 
 if (NOT (BINARY_PACKAGING_MODE OR
