=== plugin-support/skeleton/tests/Makefile ===

test:
	@btest
