=== debian/changelog ===
bro-aux (0.42-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:36:17 +1100

bro-aux (0.42-1build1) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 13:58:22 +0100

bro-aux (0.42-1) unstable; urgency=medium

  * New upstream version 0.42
  * Drop unneeded dh --parallel parameter
  * Bump Debhelper compat level
  * Bump Standards-Version
  * Update Vcs-* headers after migration to salsa.debian.org

 -- Hilko Bengen <bengen@debian.org>  Mon, 24 Dec 2018 21:15:54 +0100
