=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: bro-aux
 Section: net
 Priority: optional
-Maintainer: Raúl Benencia <rul@kalgan.cc>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Raúl Benencia <rul@kalgan.cc>
 Uploaders: Hilko Bengen <bengen@debian.org>
-Build-Depends: cmake, debhelper (>= 9), flex, libpcap0.8-dev | libpcap-dev, libssl-dev,
-Standards-Version: 3.9.8
+Build-Depends: cmake, debhelper (>= 11), flex, libpcap0.8-dev | libpcap-dev, libssl-dev,
+Standards-Version: 4.3.0
 Homepage: https://www.bro.org/sphinx/components/bro-aux/README.html
-Vcs-Git: git://anonscm.debian.org/collab-maint/bro-aux.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/bro-aux.git/
+Vcs-Git: https://salsa.debian.org/bro-team/bro-aux.git
+Vcs-Browser: https://salsa.debian.org/bro-team/bro-aux
 
 Package: bro-aux
 Architecture: any
