=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --buildsystem=cmake --builddir=build --parallel
+	dh $@ --buildsystem=cmake --builddir=build 
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
